
<script type="text/javascript">

function isNumberKey(evt){
    var charCode = (evt.which) ? evt.which : event.keyCode
    if (charCode > 31 && (charCode < 48 || charCode > 57))
        return false;
    return true;
}
function isNumberKey1(evt){
    var charCode = (evt.which) ? evt.which : event.keyCode
    if (charCode != 8 && charCode < 48 && charCode != 45 && charCode != 46 || charCode > 57)
		return false;
    return true;
}
function isNumberKey2(evt){
    var charCode = (evt.which) ? evt.which : event.keyCode
    if (charCode < 46 && charCode == 47 && charCode != 46 || charCode > 57 && charCode < 7 || charCode > 9)
		return false;
    return true;
}
</script>

<script type="text/javascript">

		    function onload_camp(textbox) {
		      textbox.style.background="#FFFF66";
		        return false;
		    }

		    function onfocus_camp(textbox) {
		      textbox.style.background="#FFFF66";
		        return false;
		    }
			
			function onblur_camp(textbox) {
				textbox.style.background="white";
		        textbox.className = 'text1';
		        if (textbox.value == '') { textbox.value = '0'; }
				
			}
			
			function onfocus_select(textbox) {
		      textbox.style.background="white";
		        return false;
		    }
			
			function onblur_select(textbox) {
				textbox.style.background="white";
		        return false;	
			}
				
				function onblur_text(textbox) {
				textbox.style.background="white";
		    //    textbox.className = 'text7';
				
		    }
  
				function onblur_numar(textbox) {
				textbox.style.background="white";
		  //      textbox.className = 'text1';
		        if (textbox.value == '') { textbox.value = '0'; }
				
				}
				
				 function onfocus_empty(textbox) {
		      textbox.style.background="#FFFF66";
				if(this.value==this.defaultValue) this.value='';
		    }
			
			function onfocus_empty_zero(textbox) {
		      textbox.style.background="#FFFF66";
				if(textbox.value == '0') { textbox.value = ''; }
		    }
			
			function onfocus_zero(textbox) {
		      textbox.style.background="#FFFF66";
				if (textbox.value == '0.00') { textbox.value = ''; }
		    }
			
			function onblur_decimal(textbox) {
			textbox.style.background="white";
		    textbox.className = 'text1';
			if (textbox.value == '') { textbox.value = '0.00'; }
			if (textbox.value==textbox.value) textbox.value=parseFloat(textbox.value).toFixed(2) ;			   		  
			}
			
			function onfocus_camp2(textbox) {
				textbox.style.backgroundColor="#FFFF66";
		        return false;
		    }
			
			function onblur_camp2(textbox) {
				textbox.style.backgroundColor="white";				
		    }

</script>


